From a2488c5899a6d8deb1cd4c40769a93cf743e29da Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:28:15 +0200
Subject: [PATCH 304/308] mdcat: rebuild for libressl-2.9.2.

---
 srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch | 10 ----------
 srcpkgs/mdcat/template                         |  9 ++++++++-
 2 files changed, 8 insertions(+), 11 deletions(-)
 delete mode 100644 srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch

diff --git a/srcpkgs/mdcat/template b/srcpkgs/mdcat/template
index 3731cd0ee7d..fff585684bd 100644
--- a/srcpkgs/mdcat/template
+++ b/srcpkgs/mdcat/template
@@ -1,7 +1,7 @@
 # Template file for 'mdcat'
 pkgname=mdcat
 version=0.13.0
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=cargo
 hostmakedepends="cmake pkg-config"
@@ -12,3 +12,10 @@ license="Apache-2.0"
 homepage="https://github.com/lunaryorn/mdcat"
 distfiles="https://github.com/lunaryorn/mdcat/archive/mdcat-${version}.tar.gz"
 checksum=9528a0dedcb9db559c9973001787f474f87559366a2c7a2ff01148c5ab31eac1
+
+
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

